. sh/verbose.sh
. sh/temp.sh

echo 1>&4 "FILE:  Checking for getopt() in <stdlib.h>..." 

cat >$temp_c <<EOF

#include <stdlib.h>

int
main()
{
       char *argv[]= {"sdasd", NULL}; 
       int c= getopt(1, argv, "abc");
       if (c == optind)
	      return 0;

       return 0;
}

EOF

if sh/test_feature $temp_c
then
    echo 1>&4 "--> in <stdlib.h>"
    echo \#define OPT_MAIN_STDLIB
else
    echo 1>&4 "FILE:  Checking for getopt() in <getopt.h>..." 

    cat >$temp_c <<EOF

#include <getopt.h>
#include <stdlib.h> /* NULL */

int 
main()
{
       char *argv[]= {"sdasd", NULL}; 
       int c= getopt(1, argv, "abc");
       if (c == optind)
	    return 0;
       return 0; 
}

EOF

    if sh/test_feature $temp_c
    then
	echo 1>&4 "--> in <getopt.h>"
	echo \#define OPT_MAIN_GETOPT
    else
	echo 1>&4 "--> missing"
    fi
fi
