#ifndef CHOICE_EDITOR_INCLUDED
#define CHOICE_EDITOR_INCLUDED 

#include "choice.hh"
#include "multi_edit.hh"
#include "button_bar.hh" 
#include "bevel.hh"
#include "trl.hh"
#include "editor_window.hh"

class Choice_Editor
	:  public Editor_Window <Choice>
{
public:

	const Choice &Editor_Window_Get_Value()
		{
			return choice; 
		}

private:

	Choice choice;
	Multi_Edit page;
	Bevel bevel; 		
	H_Button_Bar button_bar;

	bool Editor_Window_Open(Pointer <Packer> parent);

	void Editor_Window_Set_Value(Pointer <const Choice> value);

	void MR_Receive(int msg);

	Point Wdg_Get_Window_Size() const;
};

#endif /* ! CHOICE_EDITOR_INCLUDED */ 
