#ifndef FILE_TEST_INCLUDED
#define FILE_TEST_INCLUDED

#include "inline.hh"
#include "stat.hh"

Inline
bool File_Is_Dir(String file_name)
{
	Stat s;
	return (Get_Stat(file_name, s)
		? s.type == stat_dir
		: false);
}

Inline
bool File_Is_Readable(String file_name)
{
	return Stream::Access(file_name, Stream::p_read);
}

#endif /* ! FILE_TEST_INCLUDED */
