#ifndef FORMAT_INTMAX_INCLUDED
#define FORMAT_INTMAX_INCLUDED

#include "int.hh"

Inline
String
Format_Intmax(intmax_t n)
{
	Assert (n >= 0);
	if (n == 0)
		return "0";
	const int len= 0x40;
	char buf[len];
	char *p= buf + len;
	*--p= '\0';
	while (n > 0)
	{
		*--p= '0' + n % 10;
		n /= 10;
	}
	return p;
}

#endif /* ! FORMAT_MAXINT_INCLUDED */

