#ifndef FRAMED_INCLUDED
#define FRAMED_INCLUDED

#include "containing.hh"
#include "frame.hh"

template <class T>
class Framed
	:  public Containing <Frame, T> 
{
public:

	bool Open(Pointer <Widget> parent, 
		  typename Containing <Frame, T> ::Open_Info open_info)
		{
			return Containing <Frame, T> ::Open(parent, open_info);
		}

	bool Open(Pointer <Widget> parent)
		{
			return Open(parent, ft_up);
		}
    
	bool Open(Pointer <Widget> parent, 
		  Frame::Open_Info oi)
		{
			return Containing <Frame, T> ::Open
				(parent, 
				 oi); 
		}

	bool Open(Pointer <Widget> parent,
		  Frame::Open_Info frame_open_info,
		  typename T::Open_Info t_open_info)
		{
			return Containing <Frame, T> ::Open
				(parent,
				 frame_open_info,
				 t_open_info);
		}

}; 

#endif /* ! FRAMED_INCLUDED */
