#ifndef HELLO_UTILS_INCLUDED
#define HELLO_UTILS_INCLUDED


/* This is an example of a "header file only" module. 
 */

/* The following two lines are present in every header file.  Without them, the compiler would see
   the contents of this file multiple times.  The `#ifndef' is terminated at the very end of this
   file. 
 */


/* This is the place to put declarations.  "header file only" modules often contain macro
   definition and inline function definitions. 
 */
#define HELLO_UTILS_TEXT    "Hello, World!\n"




/* The following `#endif' ends the `#ifndef' at the beginning of this file.
 */
#endif /* ! HELLO_UTILS_INCLUDED */
