#include "image_widget.hh"

#include "style.hh"

void
Image_Widget::Wdg_Draw(Canvas &canvas)
{
	Point size= Get_Size(), image_size= Point(0);
	canvas.Set_Draw_Mode(Canvas::dm_copy);

	if (image.Is() && image.Has_Canvas())
	{
		canvas.Draw_Canvas(image(),
				   Rect(Point(0, 0), Get_Size()),
				   Point(0));
		image_size= image.Get_Size();
	}

	canvas.Set_Color(Style_Color(st_background));
	canvas.Draw_Rect(Rect(image_size.x, 0,
			      size.x - image_size.x,
			      size.y));
	canvas.Draw_Rect(Rect(0, image_size.y,
			      image_size.x, 
			      size.y - image_size.y)); 
}

void
Image_Widget::Wdg_Get_Size_Request(int &w, 
				   int &h,
				   bool &r)
//void
//Image_Widget::Wdg_Get_Dimension(int &w, int &h,
//				Stretchness &ws, 
//				Stretchness &hs) 
{
	if (image.Is())
	{
		w= image.Get_Size().x;
		h= image.Get_Size().y;
	}
	else
	{
		Image_Widget_Get_Dimension(w, h);
	}

//	ws= hs= str_fixed;
	r= false; 
}

void Image_Widget::Invalidate_Image()
		{
			Image_Widget_Build(image);
			Invalidate();
			Invalidate_Size();
		}
