#ifndef INT_INCLUDED
#define INT_INCLUDED

/* The INT module is a wrapper around the ISO C 99 new integer types. 

   Macro checked in `macro':
             INT_C99:  Have the C99 types. 
 */

#include "int.config.hh"

#ifdef INT_C99

#include <stdint.h>

#else /* non-C99 */

/* Assume 32 bit. 
 */

typedef unsigned char uint8_t;
typedef int           int_fast16_t;
typedef int           int_fast32_t;
typedef long long     int_fast64_t, intmax_t;
typedef unsigned int  uint_fast8_t;

#endif /* non-C99 */

#endif /* ! INT_INCLUDED */
