#ifndef KEY_INCLUDED
#define KEY_INCLUDED

#include <gdk/gdk.h>
#include <gdk/gdkkeysyms.h>

class Key
{
public:

	enum {
		ctrl= (1 << 0),
		meta= (1 << 1),

		no_key=-1, 
		ret= GDK_Return, 
		tab,
	};

	Key()
		{
		}
	Key(int new_keyval)
		:  keyval(new_keyval)
		{
		}
	Key(int a , int b)
		:  keyval(a | b)
		{
		}

	Key(GdkEventKey *e)
		{
			keyval= Deref(e).keyval; 
		}

	bool operator == (const Key & key )
		{
			return keyval == key.keyval; 
		}

private:

	guint keyval; 
};

#endif /* ! KEY_INCLUDED */ 
