#ifndef MENU_WINDOW_INCLUDED
#define MENU_WINDOW_INCLUDED

#include "menued.hh"
#include "menu_bar.hh"
#include "bevel.hh"

class Menu_Window
	:  public Menued
//	   virtual public Popup_Window
{
public:

	enum {menu_main, menu_custom}; 

	void
	Open_Menu(Pointer <Widget> parent)
		{
			if (! menu_bar.Open(parent))
				return; 

			Menued::Entries entries;
			entries.Set_Menued(This); 
			Menued_Get(menu_main, entries);

			menu_bar.Append(entries); 
			bevel.Open(parent);
		}

private:

	Menu_Bar menu_bar; 
	Bevel bevel;
};

#endif /* ! MENU_WINDOW_INCLUDED */
