#include "notation_stream.hh"

#include "parse_stream.hh"
#include "write_formatted.hh"
//#include "parse.hh"

bool Read_Stream(Stream &stream, 
		 Notation &notation)
{
	int ps= Parse_Stream(stream,
			      "%c%c%c%c%c%c%c%c%d",
			     notation.Get_Pieces(),
		      notation.Get_Pieces() + 1,
		      notation.Get_Pieces() + 2,
		      notation.Get_Pieces() + 3,
		      notation.Get_Pieces() + 4,
		      notation.Get_Pieces() + 5,
		      & notation.Get_Capture(),
		      & notation.Get_Promotion(),
		       & notation.Get_Options());
	if (ps != 9)
		return false;

	return true; 
}


bool Write_Stream(Stream &stream, 
		  const Notation &notation)
{
	if (! stream.Write(notation.Get_Pieces(), 8))
		return false;

	if (0 == Write_Formatted(stream, 
				 "%d\n",
				 notation.Get_Options()))
		return false;

	return true;
}

