#ifndef PIECE_NAME_INCLUDED
#define PIECE_NAME_INCLUDED

#include "string.hh"
#include "piece_type.hh"
#include "inline.hh"

extern const char *const piece_name_names[6];

Inline
const char *
Piece_Name(Piece_Type pt)
	/* Name of the piece type, untranslated. 
 */
{
	Assert (pt >= 0 && pt < 6);

	return piece_name_names[pt];
}

#endif /* ! PIECE_NAME_INCLUDED */
