#include "sleep.hh"

#include <time.h>
#include <unistd.h>

void
Sleep(int ms)
{
#ifndef FEATURE_NANOSLEEP

	int sec= ms / 1000;
	if (sec == 0)
		sec= 1;
	sleep(sec);

#else /* FEATURE_NANOSLEEP */ 

	struct timespec ts;
	ts.tv_sec= ms / 1000;
	ts.tv_nsec= (ms % 1000) * 1000000;
	nanosleep(&ts, NULL);

#endif /* FEATURE_NANOSLEEP */ 
}
