#include "socket_child_process.hh"

#include "format.hh"
#include "error.hh"

bool
Socket_Child_Process::Open(String host,
			   int port)
{
	if (! host.Is())
	{
		Error::Set(EINVAL);
		return false;
	}

	String command= "telnet"; 
	Vector <String> args;
	if (! args.Set(1))
	  return false;
	args[0]= host();

	if (port != -1)
	{
	  if (! args.Set(2))
	    return false;
	  args[1]= Format("%d", port); 
	}
	return IO_Child_Process::Open(command, args);
}
