#ifndef STATUS_BAR_INCLUDED
#define STATUS_BAR_INCLUDED

#include "packer.hh"
#include "status_bar_label.hh"
#include "dynamic.hh"

class Status_Bar
	:  public H_Packer
{
public:

	bool Open(Pointer <Widget> parent,
		  int size= 0);

	bool Append(String text= "");
	/* Add a label.
	 */

	bool Is() const
		{
			return H_Packer::Is();
		}

	bool Is(int n) const 
		{
			Assert (n >= 0);
			
			return (Is() &&
				n < labels.Get_Size() &&
				labels[n]().Is());
		}

	void Set(int n, String text)
		{
			if (Is(n))
			  labels[n]().Set_Text(text + "    ");
		}

private:

	Vector <Dynamic <Status_Bar_Label> > labels;
};

#endif /* ! STATUS_BAR_INCLUDED */
