#include "main.hh"
#include "client_image.hh"
#include "stdio.hh"
#include "time.hh"

int Main(int, char **)
{
	Time _begin= Get_Time();

	Client_Image im;

	const int count= 2000;

	for (int i= 1; i < count; ++i)
	{
		Format_File(output,
			    "%d ",
			    i);

		output.Flush();

		if (im.Is())
			im.Clear();

		if (im.Create(Point(i)))
		{
#if 0
			im.Draw_Rect(Rect(0, 0, i / 2, i / 3),
				     245, 212, 87);
			
#endif /* 0 */
		}
	}

	int ms= Time_To_ms(Get_Time() - _begin);

	Format_File(output,
		    "\nTotal time: %d ms\nAverage: %d ms\n",
		    ms,
		    ms / count);

	return 0;
}
