/* test the `window' module */

#include "window.hh"
#include "main.hh"
#include "sleep.hh"

class Test_Window
    :  public Window
{
private:

    virtual void Win_Key_Press(Key _key) 
    {
	Close();
    }

    virtual void Win_Paint(Canvas c, const Region &r)
    {
	c.Draw_Rect(r, 
		    Rect(Point(3, 3), Get_Size() - Point(6, 6)),
		    st_face);
    }

public:

    Test_Window():  Window(NULL) {}
};

int Main(int, char **)
{
    Test_Window w;
    w.Open();
    Window::Loop();
    return 0;
}
