#ifndef TEXT_BUTTON_INCLUDED
#define TEXT_BUTTON_INCLUDED

#include "widget.hh"

class Text_Button
	:  /*virtual*/ public Widget 
{
public:

	class Open_Info
	{
	public:

		Open_Info(int new_msg_clicked= -1,
			  String new_text= "",
			  bool new_enabled= true)
			:  msg_clicked(new_msg_clicked),
			   text(new_text),
			   enabled(new_enabled)
			{
			}

		int msg_clicked;
		String text;
		bool enabled;
	};

	bool Open(Pointer <Widget> parent,
		  int msg_clicked,
		  String text= "",
		  bool enabled= true)
		{
			return Open(parent, 
				    Open_Info(msg_clicked,
					      text, 
					      enabled)); 
		}
	bool Open(Pointer <Widget> parent,
		  Open_Info open_info);

	void Set_Enabled(bool enabled)
		{
			gtk_widget_set_sensitive
				(Get(),
				 enabled ? TRUE : FALSE);
		}

private:

	int msg_clicked;

	static void Signal_Clicked(GtkButton *gtkbutton,
				   gpointer *data);
};

#endif /* ! TEXT_BUTTON_INCLUDED */ 
