#ifndef TEXT_RADIO_BUTTON_INCLUDED
#define TEXT_RADIO_BUTTON_INCLUDED

#include "checkable_widget.hh"

class Text_Radio_Button
	:  virtual public Widget,
	   virtual public Checkable_Widget
{
public:

	bool Open(Pointer <Widget> parent,
		  String text,
		  int msg_changed,
		  Pointer <Checkable_Widget> first);

	void Set_Checked(bool checked)
		{
			/* gtk_toggle...() sends the signal. 
			 */

			int save_msg_changed= msg_changed;
			gtk_toggle_button_set_active
				(GTK_TOGGLE_BUTTON(Get()),
				 checked ? TRUE : FALSE); 
			msg_changed= save_msg_changed;
		}

private:

	int msg_changed;

	static void Signal_Clicked(GtkButton *gtkbutton,
				   gpointer *data);
};

#endif /* ! TEXT_RADIO_BUTTON_INCLUDED */

