/* Documentation of the MAIN module.  This file is not compiled. 
 */

/* This module implements the main() function. 

   The main() function will call the function Main() which must 
   exist. 
 */

extern
int
Main(int    argc,
     char **argv);
/* The Main() function must be defined by the program and is called
   from the MAIN module. 

   ARGC and ARGV are the arguments of the usual main() function. 

   Return 0 on success, and small positive integers on failure. 
 */

String
Main_Get_Name();
/* Absolute file name of the program being executed. 
 */

