. sh/verbose.sh
. sh/temp.sh

#
# Define MAIN_NO_PROGRAM_NAME if the variable
# `program_invocation_name' does not exist.  This variable is
# declared in <errno.h> on GNU and equals argv[0]. 
#

echo 1>&4 "MAIN:  Checking for \`program_invocation_name'..." 

cat  >$temp_c <<EOF

#include <errno.h> 
#include <stdio.h>

int main()
{
    printf("%s\n", program_invocation_name);
    return 0; 
}

EOF

if sh/test_feature $temp_c
then
    echo 1>&4 "--> exists"
else
    echo 1>&4 "--> missing"
    echo \#define  MAIN_NO_PROGRAM_NAME 
fi
