#
# Check for getc_unlocked() and similar functions. 
#

. sh/verbose.sh
. sh/temp.sh

echo 1>&4 "STREAM:  Checking for the *_unlocked() functions..."

cat >$temp_c <<EOF

#include <stdio.h>

int main()
{
    putc_unlocked('4', stdout);
    putc_unlocked('\n', stdout);
    FILE *dev_null= fopen("/dev/null", "r"); 
    if (dev_null != NULL)
	getc_unlocked(dev_null);

    return 0;
}

EOF

if sh/test_feature $temp_c
then
    echo 1>&4 "--> working"
    echo \#define STREAM_HAVE_UNLOCKED
else
    echo 1>&4 "--> missing"
fi
