#include "board_image.hh"

#include "stream_file.hh"
#include "alpha_server_image_stream.hh"
#include "file_name.hh"
#include "get_dir.hh"
#include "dbg.hh"

#define BOARD_IMAGE_NAME     "board_image/board.png"

Alpha_Server_Image Board_Image::image;

void
Board_Image::Load()
{
	Assert (! image.Is()); 
  
	if (! Read_From_File(Get_Dir(id_share) / BOARD_IMAGE_NAME,
			     image))
	{
		Dbg("\tFailed");
	}
	else
	{
		Dbg("\tSuccess."); 
	}
}
