#include "clock.hh"

void
Clock::Wdg_Draw(Canvas &canvas)
{
  canvas.Set_Color(Style_Color(st_background, false),
		   true);
  canvas.Draw_Rect(Get_Size());
  int hour_x= Get_Size().x / 2 + (int)(((double)(Get_Size().x / 3)) *
				       Sin(math_pi * time / 18360));
  int hour_y= Get_Size().y / 2 - (int)(((double)(Get_Size().y / 3)) *
				       Cos(math_pi * time / 18360));
  canvas.Set_Line_Mode((Get_Size().x <? Get_Size().y) / 3 / 5);
  canvas.Set_Color(Style_Color(st_background, true),
		   true);
  canvas.Draw_Line(Point(Get_Size().x / 2, Get_Size().y / 2),
		   Point(hour_x, hour_y));
  int min_x= Get_Size().x / 2 + (int)(((double)(Get_Size().x / 2)) *
				      Sin(math_pi * time / 1800));
  int min_y= Get_Size().y / 2 - (int)(((double)(Get_Size().y / 2)) *
				      Cos(math_pi * time / 1800));
  canvas.Set_Line_Mode((Get_Size().x <? Get_Size().y) / 3 /
		       10);
  canvas.Draw_Line(Point(Get_Size().x / 2, Get_Size().y / 2),
		   Point(min_x, min_y));
  int sec_x= Get_Size().x / 2 + (int)(((double)(Get_Size().x / 2)) *
				      Sin(math_pi * time / 30));
  int sec_y= Get_Size().y / 2 - (int)(((double)(Get_Size().y / 2)) *
				      Cos(math_pi * time / 30));
  canvas.Set_Line_Mode((Get_Size().x <? Get_Size().y) / 3 /
		       10 / 2);
  canvas.Draw_Line(Point(Get_Size().x / 2, Get_Size().y / 2),
		   Point(sec_x, sec_y));
  
}
