#ifndef CLOCK_INCLUDED
#define CLOCK_INCLUDED

#include "widget.hh"
#include "math.hh"
#include "style.hh"

class Clock
	:  public Widget
{
public:

	bool Open(Pointer <Widget> parent)
		{
			time= 0;
			return Widget::Open(parent);
		}

	void Set(int new_time)
		{
			time= new_time;
			Invalidate();
		}

	int Get() const 
		/* seconds */
		{
			Assert(Is());
			return time;
		}

private:

	int time; 
	/* seconds 
	 */

	void Wdg_Get_Size_Request(int & width  ,
					  int &  height  ,
					  bool & resizeable  )
#if 0
	void Wdg_Get_Dimension(int &_width, int &_height, 
			       Stretchness &_ws,
			       Stretchness &_hs)
#endif /* 0 */ 	  
		{
			width= height= 3 * unit;
//			_ws= _hs= str_fixed;
			resizeable= false; 
		      }

	void Wdg_Draw(Canvas &canvas); 
      };


#endif /* ! CLOCK_INCLUDED */
