#include "color_widget.hh"
#if 0
void

Color_Widget::Wdg_Get_Dimension(int &_width, int &_height, 
		  Stretchness &_ws,
		  Stretchness &_hs)
{
	if (_width != -1)
		_height= _width;
	else if (_height != -1)
		_width= _height;
	else
		_width= _height= unit;
	_ws= _hs= str_fixed;
}
#endif /* 0 */

void
Color_Widget::Wdg_Draw(Canvas &canvas)
{
	if (! have)
	{
		have= true;
		color= Canvas::Get_Color(rgb);
	}
	canvas.Set_Color(color,
		    true);
	canvas.Draw_Rect(/* canvas.Get_Region()*/ Get_Size());
}

bool
Color_Widget::Open(Pointer <Widget> parent, 
		   RGB new_rgb)
{
	if (! Widget::Open(parent))
		return false;

	rgb= new_rgb;
	have= false;

	return true;
}

void
Color_Widget::Set_Color(RGB new_rgb)
{
	rgb= new_rgb;
	have= false;
	Invalidate();
}

void Color_Widget::Wdg_Get_Size_Request(int & width  ,
				  int &  height  ,
				  bool & resizeable  )
{
	resizeable= false;
	width= height= unit;
}

