#include "constant.hh"

/* Macro set in `macro':

   -  CONSTANT_NORMAL:  Normal memory layout:  CODE / HEAP / STACK 
 */

#ifdef CONSTANT_NORMAL

#include <malloc.h>
#include <unistd.h>

void *constant_heap= NULL;

static class Constant_Main
{
public:

	Constant_Main()
	{
		if (constant_heap == NULL)
			Constant_Make();
	}

} constant_main;

void
Constant_Make()
{
	Assert (constant_heap == NULL);

	struct mallinfo mi= mallinfo();

	constant_heap= (char*)sbrk(0) - mi.arena;

	Assert (constant_heap != NULL);
}

#endif /* CONSTANT_NORMAL */
