#include "data.hh"

#ifndef NDEBUG

#include "dbg.hh"

//#ifdef DATA_DBG
//#    include "debug.hh"
//#    define Dbg(args...)   Debug(args)
//#else
//#    define Dbg(args...)
//#endif

int data_count= 0;

//#ifdef DATA_DBG

void
Data_On_Alloc(const char *type,
	      void *pointer,
	      const char *file_name)
//#else

//void Data_On_Alloc(const char *,
//		   void *,
//		   const char *)

//#endif
{
	++ data_count;

	Dbg("Alloc(%17s, %9p)   [%4d] %s",
	    type, 
	    pointer,
	    data_count,
	    file_name);

}

//#ifdef DATA_DBG
void
Data_On_Free(void *object, 
	     const char *file_name)
//#else
//void Data_On_Free(void *, const char *)
//#endif 
{
	-- data_count;

	Dbg(" Free(%10p)                     [%4d] %s",
	    object,
	    data_count,
	    file_name);
}

#endif /* ! NDEBUG */
