#include "gui_execute.hh"

#include "execute.hh"
#include "error.hh"
#include "trl.hh"
#include "inform.hh"
#include "format.hh"

bool
GUI_Execute(String file_name)
{
	if (! Execute(file_name))
	{
		String error= Error::Get();
		Inform(Trl("Error"),
		       Format(Trl("Cannot execute %s: %s."),
			      file_name(),
			      error()));
			       

		return false;
	}

	return true;   
}
