#ifndef MAIN_INCLUDED
#define MAIN_INCLUDED

/* See `doc/main.hh' for documentation. 
 */

/* Macro:

   MAIN_NO_SIGNAL:  Don't do the signal stuff. 
 */

#include "main.config.hh"

#include "string.hh"

#ifdef MAIN_NO_PROGRAM_NAME
extern const char *program_invocation_name;
/* Set at the beginning of main().
 */
#else
#    include <errno.h>
#endif

Inline
String 
Main_Get_Name()
{
	return program_invocation_name;
}

void
Main_Set_Hook(void (*function)(int *argc, char ***argv));
/* Register a function that reads and modifies the program arguments.
   Must be called before main() is entered. 
 */

#endif /* ! MAIN_INCLUDED */

