#ifndef MATERIAL_WIDGET_INCLUDED
#define MATERIAL_WIDGET_INCLUDED

#include "image_widget.hh"
#include "position.hh"

class Material_Widget
	:  public Image_Widget
{
public:

	class Open_Info {};

	bool Open(Pointer <Widget> parent,
		  Open_Info= Open_Info())
		{
			return Image_Widget::Open(parent);
		}
	void Set(const Position &new_position,
		 bool new_turned);

	static bool Get_Show(const Position &);

private:

	enum {width= unit};

	bool turned;
	Position position;
	
	void Image_Widget_Get_Dimension(int &new_width,
					int &new_height); 

	void Image_Widget_Build(Server_Image &image);
};

#endif /* ! MATERIAL_WIDGET_INCLUDED */
