#ifndef OPT_MAIN_INCLUDED
#define OPT_MAIN_INCLUDED

extern 
int 
Opt_Main(int argc, 
	 char **argv);
/* To be defined.  Options are filtered out.  ARGV does not contain
   the program name. 
 */

extern 
const char *opt_main_options;
/* To be defined.  List of characters that are options.  Options that
   take arguments are followed by a colon.  Options that take an
   optional argument are followed by two colons. 
 */

bool
Get_Opt(int option);

const char *
Get_Opt_Arg(int option);

#endif /* ! OPT_MAIN_INCLUDED */
