#include "packer.hh"

#include "dbg.hh"

void
Packer::Wdg_Get_Size_Request(int & /* width */ ,
			       int & /* height */ ,
			       bool &resizeable)
{
	Dbg("V_Packer::Wdg_Get_Size_Request()");

	resizeable= false;
	for (int i= 0;  i < Get_Children_Count() && ! resizeable; ++i)
	{
		int w, h;
		bool child_resizeable;
		Get_Child(i).Wdg_Get_Size_Request(w, h, child_resizeable);
		Dbg("\t%s", child_resizeable ? "true" : "false");
		if (child_resizeable)
			resizeable= true;
	}
	Dbg("\tresizeable= %s", resizeable ? "true" : "false");
}
#if 0
void
H_Packer::Wdg_Get_Size_Request(int & /* width */ ,
			       int & /* height */ ,
			       bool &resizeable)
{
	Dbg("H_Packer::Wdg_Get_Size_Request()");

	resizeable= false;
	for (int i= 0;  i < Get_Children_Count() && ! resizeable; ++i)
	{
		int w, h;
		bool child_resizeable;
		Get_Child(i).Wdg_Get_Size_Request(w, h, child_resizeable);
		Dbg("\t%s", child_resizeable ? "true" : "false");
		if (child_resizeable)
			resizeable= true;
	}
	Dbg("\tresizeable= %s", resizeable ? "true" : "false");
}
#endif /* 0 */
