#ifndef SCROLL_WIDGET_INCLUDED
#define SCROLL_WIDGET_INCLUDED

#include "scroll_direction.hh"
#include "dbg.hh"
#include "widget.hh"

class Scroll_Widget
	:  public Widget 
{
public:

	typedef Scroll_Direction Open_Info;

	bool Open(Pointer <Widget> parent,
		  Open_Info oi= scr_both);

	void Wdg_Append_Child(Widget &widget)
		{ 
			gtk_container_add(GTK_CONTAINER(Get()), 
					  widget.Get()); 
		}
};

#endif /* ! SCROLL_WIDGET_INCLUDED */
