#include "server_image.hh"

	void Server_Image::Free()
		{
			if (! Is())
				return; 

			if (canvas.Is())
			{
				canvas.Close();
				gdk_gc_unref(gc); 
			}
			gdk_pixmap_unref(pixmap);
			pixmap= NULL; 
		}


	bool Server_Image::Open_GC()
		{
			Assert (gc == NULL);
			gc= gdk_gc_new(pixmap); 
			if (gc == NULL)
				return false;
			canvas.Open(pixmap, gc); 
			return true;
		}
