#include "status_bar.hh"

bool
Status_Bar::Open(Pointer <Widget> parent,
		 int size)
{
	if (! H_Packer::Open(parent))
		return false;

	for (int i= 0; i < size; ++i)
		if (! Append())
		{
			Close();
			return false; 
		}
	return true;
}

bool
Status_Bar::Append(String text)
{
	Assert(Is());

	if (! labels.Set(*labels + 1))
		return false;

	if (! labels[-1].Alloc())
	{
		labels= -1;
		return false;
	}

	if (! labels[-1]().Open
	    (this, 
	     (text + "    ")))
		return false;
	
	return true; 
}
#if 0
void
Status_Bar::Add_Blank()
{
	Assert (Is());
//	Assert (! blank.Is());
	/* Tried to add a second blank. */

	blank.Open(this);
}
#endif /* 0 */ 
//#endif /* STATUS_BAR_DEFAULT */
